package com.jpsoft.shinestar.modules.base.service;

import com.github.pagehelper.Page;
import com.jpsoft.shinestar.modules.base.entity.ElectricClientInfo;
import com.jpsoft.shinestar.modules.common.dto.Sort;

import java.util.List;
import java.util.Map;

public interface ElectricClientInfoService {
	ElectricClientInfo get(String id);
	ElectricClientInfo getRoomMessage(String id);
	boolean exist(String id);
	int insert(ElectricClientInfo model);
	int update(ElectricClientInfo model);
	int delete(String id);
	int getCountByCNo(String customerNo, String excludeId);
	List<ElectricClientInfo> list();
	Page<ElectricClientInfo> pageSearch(Map<String, Object> searchParams, int pageNum, int pageSize, List<Sort> sortList);

    ElectricClientInfo findOneByRoomId(String roomId);
}